# 引言

> 原文： [https://machine-learning-course.readthedocs.io/en/latest/intro/intro.html](https://machine-learning-course.readthedocs.io/en/latest/intro/intro.html)

该项目的目的是提供使用 Python 进行机器学习的全面而简单的课程。

## 机器学习概述

### 机器学习如何出现和发展？

您可以争辩说，现代机器学习的开始来自艾伦·图灵（Alan Turing）于 1950 年提出的“图灵测试”。图灵测试旨在确定计算机是否出色（或至少足够聪明，足以愚弄人以为是）。 随着游戏计算机的发展，机器学习继续发展。 这些年来，从跳棋，国际象棋到围棋，这些计算机所玩的游戏变得越来越复杂。 机器学习还被用来模拟自然界中的模式识别系统，例如神经网络。 但是，机器学习不仅限于局限于房间内的大型计算机。 设计了可以使用机器学习自动在障碍物周围导航的机器人。 在今天的自动驾驶汽车中，我们仍然会看到这一概念。 机器学习最终开始用于分析大量数据以得出结论。 这使人类能够通过使用机器学习来消化大型的复杂系统。 对于从事市场营销和广告业以及涉及复杂数据的人来说，这是一个有利的结果。 机器学习也用于图像和视频识别。 机器学习可以对图片和视频中的对象进行分类，以及识别感兴趣的特定地标。 现在可以通过云和大规模分布式系统使用机器学习工具。

### 为什么机器学习很重要？

机器学习在许多常见业务问题中都有实际应用。 通过使用机器学习，组织可以在更短的时间内更高效地完成任务。 一个示例可能是在需要人工干预的将来阶段预处理一组数据。 以前需要大量用户输入的任务现在可以在某种程度上实现自动化。 然后，可以将节省的资源用于其他需要完成的工作。 除了任务自动化之外，机器学习还可以用于分析大量复杂数据以做出预测。 数据分析是许多企业的基本任务。 例如，一家公司可以分析销售数据，以找出获利的机会在哪里，或者找出在何处亏损的风险。 使用机器学习可以潜在地对复杂数据进行实时分析。 关键任务系统可能需要这种能力。 机器学习也是研究和持续发展的重要主题。 目前，机器学习仍然有很多局限性，并且还无法替代对真人的需求。 机器学习的不断发展可以为棘手的问题提供解决方案，这些问题现在可能占用太多资源，甚至无法考虑。

### 谁在使用 ML，为什么要使用（政府，医疗保健系统等）？

机器学习将以某种方式影响大多数行业，因此许多经理和高层人士正在尝试至少了解它是什么，如果不是它可以为他们做些什么。 当提供更多信息时，机器学习模型有望更好地进行预测。 如今，轻松获取大量可用于训练非常精确的模型的信息。 如今的计算机也比过去的计算机更强大，并提供诸如云解决方案和分布式处理之类的选项，以解决硬机器学习问题。 几乎所有可以使用机器学习的人都可以轻松获得许多这些选项。 我们可以看到无人驾驶汽车，推荐系统，语言分析，信用评分和安全性等机器学习的示例。 金融服务可以使用机器学习来提供有关客户数据的见解并预测风险领域。 可以访问大量数据并且对精简或至少加速其部分服务感兴趣的政府机构可以利用机器学习。 装有病人数据柜的医疗服务提供者可以使用机器学习来帮助诊断和识别健康风险。 购物服务可以利用客户的购买历史和机器学习技术来提出个性化建议并评估危险产品。 任何拥有大量数据的人都将从使用机器学习中受益。

### 扩展阅读

*   [https://www.forbes.com/sites/bernardmarr/2016/02/19/a-short-history-of-machine-learning-every-manager-should-read/#15f4059615e7](https://www.forbes.com/sites/bernardmarr/2016/02/19/a-short-history-of-machine-learning-every-manager-should-read/#15f4059615e7)
*   [https://www.interactions.com/blog/technology/machine-learning-important/](https://www.interactions.com/blog/technology/machine-learning-important/)
*   [https://www.sas.com/zh_CN/insights/analytics/machine-learning.html](https://www.sas.com/en_us/insights/analytics/machine-learning.html)
*   [https://www.simplilearn.com/what-is-machine-learning-and-why-it-matters-article](https://www.simplilearn.com/what-is-machine-learning-and-why-it-matters-article)